/**
 * TypeObjectClass.java
 *
 * File generated from the LDAStructure::TypeObjectClass uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.ldap.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Description of the enumeration TypeObjectClass.
 * 
 */

@XmlType(name = "TypeObjectClass")
@XmlEnum
@XmlRootElement(name = "TypeObjectClass")
public enum TypeObjectClass {
	@XmlEnumValue("AUXILIARY")
	AUXILIARY("AUXILIARY"),
	@XmlEnumValue("STRUCTURAL")
	STRUCTURAL("STRUCTURAL");

	private final String value;

	TypeObjectClass(String v) {
		value = v;
	}

	public String value() {
		return value;
	}

	public static TypeObjectClass fromValue(String v) {
		for (TypeObjectClass c : TypeObjectClass.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

}